Security Enhanced Linux Reference Policy

# Layer: services

## Module: spamassassin

Tunables Interfaces Templates

### Description:

Filter used for removing unsolicited email.

### Tunables:

rspamd_spamd

##### Default value

false

##### Description

Determine whether extra rules should be enabled to support rspamd.

spamassassin_can_network

##### Default value

false

##### Description

Determine whether spamassassin daemon or clients can use the network.

spamassassin_network_update

##### Default value

true

##### Description

Determine whether spamassassin can update the rules using the network.

spamd_enable_home_dirs

##### Default value

false

##### Description

Determine whether spamd can manage generic user home content.

spamd_execmem

##### Default value

false

##### Description

Determine whether execmem should be allowed Needed if LUA JIT is enabled for rspamd

Return

### Interfaces:

spamassassin_admin( domain , role )

##### Summary

All of the rules required to administrate an spamassassin environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

spamassassin_domtrans_client( domain )

##### Summary

Execute spamc in the spamc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

spamassassin_domtrans_local_client( domain )

##### Summary

Execute spamassassin standalone client in the user spamassassin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

spamassassin_dontaudit_getattr_spamd_tmp_sockets( domain )

##### Summary

Do not audit attempts to get attributes of temporary spamd sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

spamassassin_exec( domain )

##### Summary

Execute the standalone spamassassin program in the caller directory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_exec_client( domain )

##### Summary

Execute spamc in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_exec_spamd( domain )

##### Summary

Execute spamd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_home_filetrans_spamd_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the spamd home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

spamassassin_kill_client( domain )

##### Summary

Send kill signals to spamc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_manage_lib_files( domain )

##### Summary

Create, read, write, and delete spamd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_manage_spamd_home_content( domain )

##### Summary

Create, read, write, and delete spamd home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_read_lib_files( domain )

##### Summary

Read spamd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_read_spamd_runtime_files( domain )

##### Summary

Read spamd runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_read_spamd_tmp_files( domain )

##### Summary

Read temporary spamd files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_relabel_spamd_home_content( domain )

##### Summary

Relabel spamd home content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_reload( domain )

##### Summary

reload SA service

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_run_update( domain , role )

##### Summary

Execute sa-update in the spamd-update domain, and allow the specified role the spamd-update domain. Also allow transitive access to the private gpg domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

spamassassin_signal_spamd( domain )

##### Summary

Send generic signals to spamd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_status( domain )

##### Summary

Get SA service status

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

spamassassin_stream_connect_spamd( domain )

##### Summary

Connect to spamd with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

spamassassin_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for spamassassin.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return